﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Upreader.Application.Model;

namespace Upreader.Application
{
    [Serializable]
    public class ModelsChangedEventArgs : EventArgs
    {
        private readonly IEnumerable<ModelEntry> _entries;

        public ModelsChangedEventArgs(IEnumerable<ModelEntry> entries)
        {
            _entries = entries;
        }

        public IEnumerable<ModelEntry> Entries
        {
            get { return _entries; }
        }
    }
}
