﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Upreader.Application.Model;

namespace Upreader.Application.Tests
{
    class SimpleModelCollection<T> : List<T>, IModelCollection<T> where T: ModelBase
    {
        public void Update(T model)
        {
            // no implementation required
        }

        public IEnumerable<T> Find(System.Linq.Expressions.Expression<Func<T, bool>> predicate)
        {
            return this.Where(predicate.Compile());
        }
    }
}
