﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Threading;
using System.IO;

namespace Upreader.Application
{
    public interface IUnpacker
    {
        void Extract(IEnumerable<Stream> archiveFileStreams,
            CancellationToken cancellationToken);

        event EventHandler<UnpackerProgressEventArgs> Progress;
    }
}
