﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Upreader.Application.Model;

namespace Upreader.Engine
{
    class SegmentIndexComparer : IComparer<Segment>
    {
        public int Compare(Segment x, Segment y)
        {
            if (x == null)
                return -1;
            if (y == null)
                return 1;

            return x.Index - y.Index;
        }
    }
}
