﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Upreader.Usenet.Nntp
{
    public enum Rfc977ResponseCode  
    {
        HelpTextFollows = 100,
        DebuggingOutput = 199,

        ServerReadyPostingAllowed = 200,
        ServerReadyNoPostingAllowed = 201,
        SlaveStatusNoted = 202,
        ClosingConnection = 205,
        NewsgroupSelected = 211,
        NewsgroupsFollow = 215,
        ArticleRetrieved = 220,
        ArticleRetrievedHeadFollows = 221,
        ArticleRetrievedBodyFollows = 222,
        ArticleRetrievedTextSeparate = 223,
        NewArticlesFollow = 230,
        NewNewsgroupsFollow = 231,
        ArticleTransferredOk = 235,
        ArticlePostedOk = 240,

        SendArticle = 335,
        SendArticleToPost = 340,

        ServiceDiscontinued = 400,
        NoSuchNewsgroup = 411,
        NoNewsgroupSelected = 412,
        NoCurrentArticleSelected = 420,
        NoNextArticleInThisGroup = 421,
        NoPreviousArticleInThisGroup = 422,
        NoSuchArticleNumber = 423,
        NoSuchArticleFound = 430,

        ArticleNotWanted = 435,
        ArticleTransferFailed = 436,
        ArticleRejected = 437,
        PostingNotAllowed = 440,
        PostingFailed = 441,

        CommandNotRecognized = 500,
        CommandSyntaxError = 501,
        CommandUnavailable = 502,
        ProgramFault = 503,
    }
}
